import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MsErrAlertReceiver } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-30 17:24
 */
interface MsErrAlertReceiverCU extends ConditionUtil<MsErrAlertReceiverCU>{
    ID:FieldUtil<MsErrAlertReceiverCU>;
    SERVICE_CENTER_ID:FieldUtil<MsErrAlertReceiverCU>;
    USER_ID:FieldUtil<MsErrAlertReceiverCU>;
    TELEPHONE:FieldUtil<MsErrAlertReceiverCU>;
    CREATE_USER_ID:FieldUtil<MsErrAlertReceiverCU>;
    UPDATE_USER_ID:FieldUtil<MsErrAlertReceiverCU>;
    DELETED:FieldUtil<MsErrAlertReceiverCU>;
    CREATE_TIME:FieldUtil<MsErrAlertReceiverCU>;
    UPDATE_TIME:FieldUtil<MsErrAlertReceiverCU>;
}

class MsErrAlertReceiverCUImpl extends ConditionUtilImpl<MsErrAlertReceiverCUImpl> implements MsErrAlertReceiverCU{ 
    newInstance(): MsErrAlertReceiverCUImpl {
        return new MsErrAlertReceiverCUImpl();
    } 
    get ID(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get SERVICE_CENTER_ID(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', this);
    }
    get USER_ID(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('user_id','userId','user_id', this);
    }
    get TELEPHONE(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('telephone','telephone','telephone', this);
    }
    get CREATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人ID', this);
    }
    get UPDATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('update_user_id','updateUserId','修改人ID', this);
    }
    get DELETED(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('deleted','deleted','删除标记', this);
    }
    get CREATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class MsErrAlertReceiverMU extends TableUtilImpl<MsErrAlertReceiverCU,MsErrAlertReceiver>{ 
    tableName  = 'ms_err_alert_receiver';
    tableFields  = ['id','service_center_id','user_id','telephone','create_user_id','update_user_id','deleted','create_time','update_time'];
    modelFields  = ['id','serviceCenterId','userId','telephone','createUserId','updateUserId','deleted','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MsErrAlertReceiverCU {
        return new MsErrAlertReceiverCUImpl();
    }   

    static get ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('id','id','主键', new MsErrAlertReceiverCUImpl());
    }
    static get SERVICE_CENTER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', new MsErrAlertReceiverCUImpl());
    }
    static get USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('user_id','userId','user_id', new MsErrAlertReceiverCUImpl());
    }
    static get TELEPHONE(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('telephone','telephone','telephone', new MsErrAlertReceiverCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人ID', new MsErrAlertReceiverCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('update_user_id','updateUserId','修改人ID', new MsErrAlertReceiverCUImpl());
    }
    static get DELETED(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('deleted','deleted','删除标记', new MsErrAlertReceiverCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new MsErrAlertReceiverCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new MsErrAlertReceiverCUImpl());
    }

    get ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.ID;
    }
    get SERVICE_CENTER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.SERVICE_CENTER_ID;
    }
    get USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.USER_ID;
    }
    get TELEPHONE(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.TELEPHONE;
    }
    get CREATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.CREATE_USER_ID;
    }
    get UPDATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.UPDATE_USER_ID;
    }
    get DELETED(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.DELETED;
    }
    get CREATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<MsErrAlertReceiverCU>{ 
        return MsErrAlertReceiverMU.UPDATE_TIME;
    }
}
export {MsErrAlertReceiverMU, MsErrAlertReceiverCU}
